Path parameters

  • channelLinkId string Required

Query parameters

  • email string

    email of the end customer

  • phoneNumber string

    phone number of the end customer in E164 format

  • providerId string

    The customer's unique identifier within the loyalty provider's system, QR codes can also be passed via this parameter where supported on the Loyalty platform

Responses

  • 200 application/json

    200

    One of:
  • 400 application/json

    400

    Hide response attributes Show response attributes object
    • error string
    • http_code integer

      Default value is 0.

    • description string
  • 404 application/json

    404

    Hide response attributes Show response attributes object
    • error string
    • http_code integer

      Default value is 0.

    • description string
GET /loyalty/{channelLinkId}/customer
curl \
 --request GET 'https://api.staging.deliverect.com/loyalty/{channelLinkId}/customer' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "tier": null,
  "email": "john.doe@email.com",
  "status": "activation_pending",
  "lastName": "Doe",
  "firstName": "John",
  "providerId": "376483",
  "dateOfBirth": "1970-01-01T00:00:00.000000+00:00",
  "phoneNumber": "+32411222333",
  "lifetimePointsBalance": 0
}
{
  "tier": {
    "name": "Bronze",
    "media": {
      "url": "https://deliverect.com/image.png",
      "mediaType": "image",
      "requirements": {
        "maxLifetimePoints": 1000,
        "minLifetimePoints": 0
      }
    },
    "description": "This is a bronze tier"
  },
  "email": "john.doe@email.com",
  "status": "active",
  "lastName": "Doe",
  "firstName": "John",
  "providerId": "83885",
  "dateOfBirth": "1970-01-01T00:00:00.000000+00:00",
  "phoneNumber": "+32411222333",
  "lifetimePointsBalance": 0
}
Response examples (400)
{
    "error": "no active loyalty profile found",
    "http_code": 400,
    "description": "no active loyalty profile found"
}
Response examples (404)
{
    "error": "loyalty customer not found",
    "http_code": 404,
    "description": "loyalty customer not found"
}